Skip to main content
Get a specific cell component by ID
curl --request GET \
  --url https://api.ionworks.com/cell_components/{component_id}
{
  "material_id": "<string>",
  "id": "<string>",
  "organization_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "properties": {}
}

Path Parameters

component_id
string
required

Response

Successful Response

Model representing a cell component as returned by the API.

component_type
enum<string>
required

Type of the component

Available options:
cathode,
anode,
electrolyte,
separator,
case,
cell
material_id
string
required

ID of the material

id
string
required

Unique identifier for the component

organization_id
string
required

Organization ID of the component

created_at
string<date-time>
required

Timestamp when the component was created

updated_at
string<date-time>
required

Timestamp when the component was last updated

properties
Properties · object

Application properties using Quantity format for numerics. Example: {'diameter': {'value': 14, 'unit': 'mm'}, 'binder': 'PVDF'}